#2515 closed defect (fixed)

i386 score/libcpu API Layering Violation

Reported by: Gedare Bloom Owned by: Gedare Bloom
Priority: normal Milestone: 5.1
Component: unspecified Version: 4.11
Severity: normal Keywords: i386
Cc: Joel Sherrill Blocked By:
Blocking:

Description

The file libcpu/i386/cpu.h provides functions referenced in rtems/score/i386.h Relatedly, libcpu/i386/cpu.h is the only other consumer than score/cpu.h of the score/interrupts.h. The libcpu/i386/cpu.h should be refactored into rtems/score/i386.h, which could also then subsume rtems/score/interrupts.h.

Change History (3)

comment:1 Changed on 05/11/17 at 07:31:02 by Sebastian Huber

Milestone: 4.124.12.0

comment:2 Changed on 06/30/17 at 13:26:04 by Gedare Bloom

Resolution: fixed
Status: newclosed

comment:3 Changed on 11/09/17 at 06:27:14 by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.